%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Send files from nautilus using with mail or IM
Name:		nautilus-sendto
Version:	3.6.1
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gthread-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.9
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.31.3
BuildRequires:	pkgconfig(libebook-1.2) >= 1.5.3
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.13
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	intltool
Requires:	nautilus
Provides:	nautilus-sendto-gajim 
Obsoletes:	nautilus-sendto-gajim
Obsoletes:	nautilus-sendto-sylpheed
Obsoletes:	nautilus-sendto-thunderbird
Obsoletes:	nautilus-sendto-balsa
#suggest the most important plugins
Suggests:	%{name}-bluetooth
Suggests:	%{name}-evolution

%description
This application provides integration between nautilus and mail or IM clients.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package pidgin
Summary:	Send files from nautilus to pidgin
Group:		Graphical desktop/GNOME
Requires:	pidgin
Requires:	%{name} = %{version}-%{release}
Obsoletes:	nautilus-sendto-gaim

%description pidgin
This application provides integration between nautilus and pidgin.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package upnp
Summary:	Send files from nautilus via UPNP
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description upnp
This application provides integration between nautilus and UPNP.
It adds a Nautilus context menu component ("Send To...") and allows sending
files to UPNP media servers.

%package evolution
Summary:	Send files from nautilus to evolution
Group:		Graphical desktop/GNOME
Requires:	evolution
Requires:	%{name} = %{version}-%{release}

%description evolution
This application provides integration between nautilus and evolution.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package devel
Summary:	Development files for nautilus-sendto
Group:		Graphical desktop/GNOME

%description devel
This package provides development files needed to build plugins upon
nautilus-sendto.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std
%find_lang %name

find %buildroot -name *.la | xargs rm 
# the nautilus package now provides its own sendto plugin
rm -f %buildroot%_libdir/nautilus/extensions-*/libnautilus-sendto.so

%files -f %name.lang
%doc NEWS AUTHORS ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libnstburn.so
%{_libdir}/%{name}/plugins/libnstgajim.so
%{_libdir}/%{name}/plugins/libnstremovable_devices.so
%{_datadir}/%{name}/
%{_datadir}/GConf/gsettings/%{name}-convert
%{_datadir}/glib-2.0/schemas/org.gnome.Nautilus.Sendto.gschema.xml

%files pidgin
%{_libdir}/%{name}/plugins/libnstpidgin.so

%files upnp
%{_libdir}/%{name}/plugins/libnstupnp.so

%files evolution	 
%{_libdir}/%{name}/plugins/libnstevolution.so

%files devel
%doc %{_datadir}/gtk-doc/html/%{name}/       
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 360808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 332044
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297488
- new version 3.6.0

* Tue Jun 26 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263887
- new version 3.5.3

* Fri May 11 2012 ovitters <ovitters> 3.0.3-1.mga3
+ Revision: 235331
- new version 3.0.3

* Wed Mar 21 2012 ovitters <ovitters> 3.0.2-1.mga2
+ Revision: 225259
- new version 3.0.2

* Tue Feb 14 2012 ovitters <ovitters> 3.0.1-4.mga2
+ Revision: 208942
- clean spec

* Sat Nov 26 2011 wally <wally> 3.0.1-3.mga2
+ Revision: 172419
- rebuild for new evolution (mga#3459)
- clean .spec a bit

* Sat Oct 29 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 159512
- rebuild for new evo

* Mon Sep 26 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 148629
- new version 3.0.1
- rebuild for new eds
- convert br into pkgconfig style

* Sat Jun 25 2011 wally <wally> 3.0.0-2.mga2
+ Revision: 113578
- rebuild for new gupnp

* Sun Jun 19 2011 cjw <cjw> 3.0.0-1.mga2
+ Revision: 109687
- 3.0.0
- set url to gnome.org since old one doesn't work anymore

* Sun Feb 20 2011 eandry <eandry> 2.32.0-2.mga1
+ Revision: 54896
- drop buildroot
- imported package nautilus-sendto

